
Foreman - Bug #4198

api v2 arch does not return operating systems

01/27/2014 06:27 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Only name and id are present in json response for index

Related issues:

Related to Foreman - Bug #4349: user json missing organizations, locations, a... Closed 02/14/2014

Associated revisions

Revision d8b61e36 - 02/21/2014 04:15 PM - Joseph Magen

fixes #4198 - API v2 - add child nodes to show responses. Ex. architecture should show operating systems node

History

#1 - 01/30/2014 11:26 AM - Joseph Magen

- Status changed from New to Ready For Testing

added operating systems to arch and bunch of other child nodes in objects.

https://github.com/theforeman/foreman/pull/1208

#2 - 02/17/2014 08:42 AM - Dominic Cleal

- Related to Bug #4349: user json missing organizations, locations, and roles added

#3 - 02/21/2014 04:24 PM - Dominic Cleal

- Assignee set to Joseph Magen

- Target version set to 1.9.1

- translation missing: en.field_release set to 4

#4 - 02/21/2014 05:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d8b61e36700cf943cfe6eba8c7dbf74e4130187b.
